import {requestInstance} from "@/service";

export function getSfeTaskHomeTableData(params) {
 return requestInstance({
  url:'/ptjkInterface/selectCatalogSafeMainPageList',
  data:{
   ...params
  }
 })
}
export function changeSafeTaskTaskStatus(   CATALOG_ID,
                                            SAFE_STATES) {
 return requestInstance({
  url:'/ptjkInterface/editCatalogSafeMain',
  data:{
   CATALOG_ID,
   SAFE_STATES
  }
 })
}
export function changeSafeTaskTaskStatus2(params) {
 return requestInstance({
  url:'/ptjkInterface/editCatalogSafeMain',
  data:{
  ...params
  }
 })
}
export function getSafeTaskDTable(CATALOG_CID) {
 return requestInstance({
  url:'/ptjkInterface/selectSafaRulesPageList',
  data:{
   "pageIndex": 1,
   "pageSize": 20000,
   CATALOG_CID
  }
 })
}
export function changeDetailStatus(params){
 return requestInstance({
  url:'/ptjkInterface/editSafaRules',
  data:{
   ...params
  }
 })
}
